Bug 1419054 - Quoting rules differs to pkg-config -> update breakage
Summary: Quoting rules differs to pkg-config -> update breakage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pkgconf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 14:36 UTC by Alec Leamas
Modified: 2017-02-09 20:50 UTC (History)
2 users (show)

Fixed In Version: pkgconf-1.2.2-1.fc25 pkgconf-1.2.2-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-05 20:21:54 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github pkgconf pkgconf issues 111 0 None None None 2017-02-03 14:39:55 UTC

Description Alec Leamas 2017-02-03 14:36:49 UTC
Description of problem:

Version-Release number of selected component (if applicable):
pkgconf-1.2.1-1.fc26.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install lirc-devel + deps
2. Invoke pkg-config and watch actual actual result:

# pkg-config --cflags  lirc-driver
-fpic -DPLUGINDOCS="/usr/share/doc/lirc/plugindocs"


Expected results:
As in f25 (pkgconfig-0.29.1-1):

# pkg-config --cflags  lirc-driver
-fpic -DPLUGINDOCS=\"/usr/share/doc/lirc/plugindocs\"

                    
Additional info:

Obviously, pkg-conf doesn't parse the lirc-driver.pc the same way as pkg-config. Relevant parts of this below, note how PLUGINDOCS is quoted.
-------------------------------------------------------

Name: lirc

PACKAGE_TARNAME=lirc
prefix=/usr
docdir=${prefix}/share/doc/${PACKAGE_TARNAME}

Cflags: -I${includedir} -fpic -DPLUGINDOCS='"${docdir}/plugindocs"'

---------------------------------------------------------

Comment 1 Fedora Update System 2017-02-03 20:50:57 UTC
pkgconf-1.2.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-678628fa62

Comment 2 Fedora Update System 2017-02-03 20:51:10 UTC
pkgconf-1.2.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dd0858a792

Comment 3 Fedora Update System 2017-02-05 00:47:35 UTC
pkgconf-1.2.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dd0858a792

Comment 4 Fedora Update System 2017-02-05 02:21:01 UTC
pkgconf-1.2.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-678628fa62

Comment 5 Fedora Update System 2017-02-05 20:21:54 UTC
pkgconf-1.2.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-02-09 20:50:31 UTC
pkgconf-1.2.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.